#
# Copyright (C) 2011 Martin Owens <doctormo@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
"""
Modules required for managing a session using the lab-session-manager.

Used by manage-my-session daemon.

"""

__version__ = '1.2'
__appname__ = 'lab-session-manager'

import yaml
import os
import logging

CONFILE = '/etc/lab-session-manager.conf'
CONFIG = {}
if os.path.exists(CONFILE):
    with open(CONFILE, 'r') as fhl:
        try:
            CONFIG = yaml.load(fhl.read())
        except ValueError:
            logging.warn("Failed to load config file, invalid formatting.")
else:
    logging.warn("No configuration file found: %s" % CONFILE)

TESTING = CONFIG.get('testing', False)

