#!/usr/bin/env python
#
# Copyright (C) 2011 Martin Owens
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import sys
import os

sys.path.insert(1, 'lib')

from labsession import __version__, __appname__
from distutils.core import setup

# remove MANIFEST. distutils doesn't properly update it when the contents of directories change.
if os.path.exists('MANIFEST'): os.remove('MANIFEST')

setup(
		name             = __appname__,
		version          = __version__,
		description      = 'Times a session, warns users and automatically logs them off',
		long_description = "A fully configurable session management program for computer labs.",
		author           = 'Martin Owens',
		author_email     = 'doctormo@gmail.com',
		url              = 'https://launchpad.net/lab-session-manager',
		platforms        = 'linux',
		license          = 'GPLv3',
        scripts          = [ 'manage-my-session', 'manage-my-session-logs' ],
        packages         = [ 'labsession' ],
        package_dir      = {'': 'lib'},
        data_files       = [
            ( '/etc',                [ 'lab-session-manager.conf' ] ),
            ( '/etc/xdg/autostart',  [ 'lab-session-manager.desktop' ] ),
        ],
	)

